import { Serializer } from '@metaplex-foundation/umi/serializers';
import { PublicKey } from '@metaplex-foundation/umi';
import { Node } from '../generated';
import { RaffleAccountData as BaseRaffleAccountData, RaffleAccountDataArgs as BaseRaffleAccountDataArgs } from '../generated/types/raffleAccountData';
export type RaffleAccountData = Omit<BaseRaffleAccountData, 'padding'> & {
    winners: Node[];
    tickets: Array<PublicKey>;
};
export type RaffleAccountDataArgs = Omit<BaseRaffleAccountDataArgs, 'padding'> & {
    winners: Node[];
    tickets: Array<PublicKey>;
};
export declare const getRaffleAccountDataSerializer: () => Serializer<RaffleAccountDataArgs, RaffleAccountData>;
