import { Context, Pda, PublicKey } from '@metaplex-foundation/umi';
import { ResolvedAccounts } from '../generated';
export declare const resolveOwnerTokenWhenMintArg: (context: Pick<Context, 'eddsa' | 'programs'>, accounts: ResolvedAccounts, args: {
    mint: PublicKey | Pda;
}, _programId: PublicKey, isWritable: boolean) => {
    value: Pda<string, number>;
    isWritable: boolean;
};
export declare const resolveTicketTokenWhenMintArg: (context: Pick<Context, 'eddsa' | 'programs'>, accounts: ResolvedAccounts, args: {
    mint: PublicKey | Pda;
}, _programId: PublicKey, isWritable: boolean) => {
    value: Pda<string, number>;
    isWritable: boolean;
};
export declare const resolveMintArg: (context: Pick<Context, 'eddsa' | 'programs'>, _accounts: ResolvedAccounts, args: {
    mint: PublicKey | Pda;
}, _programId: PublicKey, isWritable: boolean) => boolean;
